summaryrefslogtreecommitdiffstats
path: root/etc/init.d/zfs.lsb.in
diff options
context:
space:
mode:
Diffstat (limited to 'etc/init.d/zfs.lsb.in')
-rw-r--r--etc/init.d/zfs.lsb.in32
1 files changed, 16 insertions, 16 deletions
diff --git a/etc/init.d/zfs.lsb.in b/etc/init.d/zfs.lsb.in
index 57aaf1ec6..3d042065d 100644
--- a/etc/init.d/zfs.lsb.in
+++ b/etc/init.d/zfs.lsb.in
@@ -31,14 +31,14 @@ ZPOOL="@sbindir@/zpool"
ZPOOL_CACHE="@sysconfdir@/zfs/zpool.cache"
# Source zfs configuration.
-[ -r /etc/default/zfs ] && . /etc/default/zfs
+[ -r '/etc/default/zfs' ] && . /etc/default/zfs
-[ -x $ZPOOL ] || exit 1
-[ -x $ZFS ] || exit 2
+[ -x "$ZPOOL" ] || exit 1
+[ -x "$ZFS" ] || exit 2
start()
{
- [ -f $LOCKFILE ] && return 3
+ [ -f "$LOCKFILE" ] && return 3
# Requires selinux policy which has not been written.
if [ -r "/selinux/enforce" ] &&
@@ -58,45 +58,45 @@ start()
# This should be handled by rc.sysinit but lets be paranoid.
awk '$2 == "/" { exit 1 }' /etc/mtab
RETVAL=$?
- if [ $RETVAL -eq 0 ]; then
+ if [ "$RETVAL" -eq 0 ]; then
/bin/mount -f /
fi
# Import all pools described by the cache file, and then mount
# all filesystem based on their properties.
- if [ -f $ZPOOL_CACHE ] ; then
+ if [ -f "$ZPOOL_CACHE" ] ; then
log_begin_msg "Importing ZFS pools"
- $ZPOOL import -c $ZPOOL_CACHE -aN 2>/dev/null
+ "$ZPOOL" import -c "$ZPOOL_CACHE" -aN 2>/dev/null
log_end_msg $?
log_begin_msg "Mounting ZFS filesystems"
- $ZFS mount -a
+ "$ZFS" mount -a
log_end_msg $?
log_begin_msg "Exporting ZFS filesystems"
- $ZFS share -a
+ "$ZFS" share -a
log_end_msg $?
fi
- touch $LOCKFILE
+ touch "$LOCKFILE"
}
stop()
{
- [ ! -f $LOCKFILE ] && return 3
+ [ ! -f "$LOCKFILE" ] && return 3
log_begin_msg "Unmounting ZFS filesystems"
- $ZFS umount -a
+ "$ZFS" umount -a
log_end_msg $?
- rm -f $LOCKFILE
+ rm -f "$LOCKFILE"
}
status()
{
- [ ! -f $LOCKFILE ] && return 3
+ [ ! -f "$LOCKFILE" ] && return 3
- $ZPOOL status && echo && $ZPOOL list
+ "$ZPOOL" status && echo "" && "$ZPOOL" list
}
case "$1" in
@@ -117,7 +117,7 @@ case "$1" in
start
;;
condrestart)
- if [ -f $LOCKFILE ]; then
+ if [ -f "$LOCKFILE" ]; then
stop
start
fi